cvc_pubkey_st Struct Reference

Public key data object which may contain domain parameters. More...

`#include <cv_cert.h>`

## Data Fields

ASN1_OBJECT * | oid
| Object Identifier which specifies the exact protocol to be used during TA.
ASN1_OCTET_STRING * | cont1
| Composite modulus (RSA)/prime modulus (DH, EC)
ASN1_OCTET_STRING * | cont2
| Public exponent (RSA)/order of the Subgroup (DH)/first coefficient (EC)
ASN1_OCTET_STRING * | cont3
| Order of the subgroup (DH)/second coefficient (EC)
ASN1_OCTET_STRING * | cont4
| Generator (DH)/base point (EC)
ASN1_OCTET_STRING * | cont5
| Public value (DH)/order of the base point (EC)
ASN1_OCTET_STRING * | cont6
| Public point (EC)
ASN1_OCTET_STRING * | cont7
| Cofactor (EC)

## Detailed Description

Public key data object which may contain domain parameters.

This data structure is used for defined public keys (RSA public key, DH public key, EC public key).

See also
  TR-03110 D.3.

Definition at line 120 of file cv_cert.h.

## Field Documentation

## cont1

ASN1_OCTET_STRING* cvc_pubkey_st::cont1

Composite modulus (RSA)/prime modulus (DH, EC)

Definition at line 124 of file cv_cert.h.

## cont2

ASN1_OCTET_STRING* cvc_pubkey_st::cont2

Public exponent (RSA)/order of the Subgroup (DH)/first coefficient (EC)

Definition at line 126 of file cv_cert.h.

## cont3

ASN1_OCTET_STRING* cvc_pubkey_st::cont3

Order of the subgroup (DH)/second coefficient (EC)

Definition at line 128 of file cv_cert.h.

## cont4

ASN1_OCTET_STRING* cvc_pubkey_st::cont4

Generator (DH)/base point (EC)

Definition at line 130 of file cv_cert.h.

## cont5

ASN1_OCTET_STRING* cvc_pubkey_st::cont5

Public value (DH)/order of the base point (EC)

Definition at line 132 of file cv_cert.h.

## cont6

ASN1_OCTET_STRING* cvc_pubkey_st::cont6

Public point (EC)

Definition at line 134 of file cv_cert.h.

## cont7

ASN1_OCTET_STRING* cvc_pubkey_st::cont7

Cofactor (EC)

Definition at line 136 of file cv_cert.h.

## oid

ASN1_OBJECT* cvc_pubkey_st::oid

Object Identifier which specifies the exact protocol to be used during TA.

Definition at line 122 of file cv_cert.h.

The documentation for this struct was generated from the following file:

- eac/cv_cert.h